# Function IsTableRowActionTypeMethod

- IsTableRowActionTypeMethod<Data extends Record<string, any>>(
  type: string,
  ): (
  method: TableRowActionMethod<Data>,
  ) => method is TableRowActionTypeMethod<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - type: string

  #### Returns (method: TableRowActionMethod<Data>) => method is TableRowActionTypeMethod<Data>

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:25